/*
 * KeyValuePair.hpp
 *
 *  Created on: May 16, 2015
 *      Author: heber
 */

#ifndef KEYVALUEPAIR_HPP_
#define KEYVALUEPAIR_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

/** This class contains parameter (key = value); pairs.
 *
 * We have this special class such that conversion to string (for serializing,
 * ...) can be done especially and does not change other strings.
 */
struct KeyValuePair : public std::string
{
  KeyValuePair()
  {}

  KeyValuePair(const std::string &_value) :
    std::string(_value)
  {}
};

#endif /* KEYVALUEPAIR_HPP_ */
